# check the version of Tcl and tk that the user is running:

if [catch {set tkver $tk_version}] {
    puts "Sorry. The version of Tk you're running is too old for Nb."
    puts "Nb runs under Tk version 4.0 or later and Tcl version 7.4 or later."
    puts "You can download the latest version of Tcl/Tk at: http://www.sunlabs.com:80/research/tcl/"
    exit 1 
}


if [catch {set tclver [info tclversion]}] {
    puts "Sorry. The version of Tcl you're running is too old for Nb."
    puts "Nb runs under Tcl version 7.4 or later and Tk version 4.0 or later."
    puts "You can download the latest version of Tcl/Tk at: http://www.sunlabs.com:80/research/tcl/"
    exit 1
}


if {$tkver < 4.0} {
    puts "Sorry. The version of Tk you're running is: $tkver."
    puts "Nb runs under Tk version 4.0 or later and Tcl version 7.4 or later."
    puts "You can download the latest version of Tcl/Tk at: http://www.sunlabs.com:80/research/tcl/"
    exit 1
}


if {$tclver < 7.4} {
    puts "Sorry. The version of Tcl you're running is: $tclver."
    puts "Nb runs under Tk version 4.0 or later and Tcl version 7.4 or later."
    puts "You can download the latest version of Tcl/Tk at: http://www.sunlabs.com:80/research/tcl/"
    exit 1
}

exit 0

