
# Display outline:
set maxwidth 0
set index 1
while {$index <= $outlineRow } {
    set outlineSpaces($index) ""
    set outlineRealSpaces($index) ""
    for {set i 1} {$i < [llength $outlineSeg($index)]} {incr i} {
	set outlineRealSpaces($index) $outlineRealSpaces($index)$tabs
    }
    while {[llength $outlineSeg($index)] < $maxDepth} {
	lappend outlineSeg($index) [lindex $outlineSeg($index) [expr [llength $outlineSeg($index)] - 1]]
    }
    foreach seg $outlineSeg($index) {
	set from [string length $outlineSpaces($index)]
	set outlineSpaces($index) $outlineSpaces($index)$tabs
	set to [string length $outlineSpaces($index)]
	set fromIndex [expr $index + 1].$from
	set toIndex [expr $index + 1].$to
	# .outline.1.text tag add $segment $fromIndex $toIndex
	# .outline.1.text tag configure $segment -foreground Black -background $colorTable($seg)
    }
    set str [format "%s %s %s \n" $outlineSpaces($index) $outlineRealSpaces($index)  $outlineText($index)]
    if {[string length $str] > $maxwidth} {
	set maxwidth [string length $str]
    }
    # .outline.1.text insert end $str
    incr index
}
# .outline.1.text insert end [format " \n"]



set index 1
while {$index <= $outlineRow } {
    set outlineSpaces($index) ""
    foreach seg $outlineSeg($index) {
	set from [string length $outlineSpaces($index)]
	set outlineSpaces($index) $outlineSpaces($index)$tabs
	set to [string length $outlineSpaces($index)]
	set fromIndex [expr $index + 1].$from
	set toIndex [expr $index + 1].$to
	# .outline.1.text tag add outline.$seg $fromIndex $toIndex
	
	# .outline.1.text tag configure outline.$seg -foreground Black -background $colorTable($seg)
	
    }
    set seg [lindex $outlineSeg($index) [expr [llength $outlineSeg($index)] - 1]]
    set fromIndex $toIndex
    set str [format "%s %s %s \n" $outlineSpaces($index) $outlineRealSpaces($index)  $outlineText($index)]
    set to [expr $to + [string length $str]]
    set toIndex [expr $index + 1].$to
    # .outline.1.text tag add text.$seg $fromIndex $toIndex
    # .outline.1.text tag configure text.$seg -foreground $colorTable($seg) -background Black
    # .outline.1.text see $fromIndex
    update idletasks
    incr index
}

set h [expr $outlineRow + 2]
if {$h > 25} {
    set h 25
}

if {$maxwidth > 80} {
    set maxwidth 80
}

# .outline.1.text configure -state disabled -height $h -width $maxwidth


# Bind all segment tags to show the segment under the cursor:
if {[info exists listOfSegmentTags]} {
    if {[llength $listOfSegmentTags] > 0} {
	foreach newTag $listOfSegmentTags {
	    $textArea.text tag bind $newTag <Enter> {
		ListTagsUnderCursor
		break
	    }
	    $textArea.text tag bind $newTag <Leave> {
		set tagUnderCursor ""
		break
	    }
	}
    }
}

# List all the current idTable(Tags) under the cursor:
proc ListTagsUnderCursor {} {
    global idTable tagUnderCursor textArea
    set listId ""
    set spaces " "
    foreach oneTag [$textArea.text tag names "current"] {
	if {[info exists idTable($oneTag)]} {
	    if {[regexp {( $idTable($oneTag))} $listId match value] == 1} {
	        # set listId $listId 
	    } else {
		set listId $listId$spaces$idTable($oneTag)
	    }
	}
    }
    set tagUnderCursor $listId
}


  # Add color for Text:
    set fromIndex "$row.$col"
    set toIndex [$textArea.text index "$row.$col lineend"]
    if {$colorTable($segment) != "Black"} {
      # $textArea.text tag add text.$i.$segment $fromIndex $toIndex
      # $textArea.text tag configure text.$i.$segment -foreground $colorTable($segment)
      # set idTable(text.$i.$segment) $inputFile
    }
